#
# Conditional build
%bcond_with	tests	# perform "make check"
#
Summary:	Embeded HTTP server library
Summary(pl.UTF-8):	Biblioteka wbudowanego serwera HTTP
Name:		libmicrohttpd
Version:	0.9.52
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://ftp.gnu.org/gnu/libmicrohttpd/%{name}-%{version}.tar.gz
# Source0-md5:	767111e817e2497ff92f943c5653497a
Patch0:		%{name}-info.patch
URL:		http://www.gnu.org/software/libmicrohttpd/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake >= 1:1.10
BuildRequires:	gnutls-devel >= 2.8.6
BuildRequires:	libgcrypt-devel >= 1.2.4
BuildRequires:	libmagic-devel
BuildRequires:	libtool >= 2:2.4.0
BuildRequires:	texinfo
%if %{with tests}
BuildRequires:	curl-devel >= 7.16.4
%endif
Requires:	gnutls >= 2.8.6
Requires:	libgcrypt >= 1.2.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU libmicrohttpd is a small C library that is supposed to make it
easy to run an HTTP server as part of another application.

%description -l pl.UTF-8
GNU libmicrohttpd jest małą biblioteką C, w założeniu umożliwiającą
uruchomienie serwera HTTP jako części innej aplikacji.

%package devel
Summary:	Header files to develop libmicrohttpd applications
Summary(pl.UTF-8):	Pliki nagłówkowe do rozwijania aplikacji używających libmicrohttpd
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gnutls-devel >= 2.8.6
Requires:	libgcrypt-devel >= 1.2.4
Requires:	openssl-devel

%description devel
Header files to develop libmicrohttpd applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe do rozwijania aplikacji używających libmicrohttpd.

%package static
Summary:	Static libmicrohttpd libraries
Summary(pl.UTF-8):	Biblioteka statyczna libmicrohttpd
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libmicrohttpd libraries.

%description static -l pl.UTF-8
Biblioteka statyczna libmicrohttpd.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
%if %{with tests}
	--enable-curl \
	--enable-client-side \
%endif
	--enable-https \
	--disable-messages

%{__make}
%if %{with tests}
%{__make} check
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libmicro*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libmicrohttpd.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmicrohttpd.so.12

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmicrohttpd.so
%{_includedir}/microhttpd.h
%{_infodir}/libmicrohttpd.info*
%{_infodir}/libmicrohttpd-tutorial.info*
%{_mandir}/man3/libmicrohttpd.3*
%{_pkgconfigdir}/libmicrohttpd.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libmicrohttpd.a
%changelog
* Wed Oct 26 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libmicrohttpd.git;a=log;h=master

* Wed Oct 26 2016 Jakub Bogusz <qboosh@pld-linux.org> 21b105a
- updated to 0.9.52

* Wed Aug 31 2016 Jakub Bogusz <qboosh@pld-linux.org> 9357921
- updated to 0.9.51
- removed obsolete link,sha patches
- SPDY has been withdrawn, microspdy is gone

* Thu Dec 03 2015 Jakub Bogusz <qboosh@pld-linux.org> 24840d2
- updated to 0.9.46 (note: new soname)

* Sat Oct 31 2015 Jakub Bogusz <qboosh@pld-linux.org> 43bc39b
- updated to 0.9.44
- one more fix added to link patch (platform_interface.h needed for MHD_socket_close_)

* Sat Jun 13 2015 Jakub Bogusz <qboosh@pld-linux.org> 1042201
- updated to 0.9.42

* Sat May 09 2015 Jakub Bogusz <qboosh@pld-linux.org> 337f222
- updated to 0.9.41
- added sh patch (kill bashism in configure)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 1abf4a2
- x32 rebuild
- release 2 (by relup.sh)

* Wed Jun 04 2014 Jakub Bogusz <qboosh@pld-linux.org> abe9b4f
- updated to 0.9.37

* Wed May 28 2014 Jakub Bogusz <qboosh@pld-linux.org> 035db06
- updated to 0.9.36

* Tue Feb 25 2014 Jakub Bogusz <qboosh@pld-linux.org> 94ab868
- updated to 0.9.34

* Wed Dec 25 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 2f9e3a8
- release 2 (by relup.sh)

* Sun Dec 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 0b73f55
- updated to 0.9.33

* Sat Dec 07 2013 Jakub Bogusz <qboosh@pld-linux.org> f645772
- updated to 0.9.32

* Sun Oct 27 2013 Jakub Bogusz <qboosh@pld-linux.org> ba80735
- updated to 0.9.31

* Tue Sep 03 2013 Jakub Bogusz <qboosh@pld-linux.org> dc4b9d6
- updated to 0.9.30
- removed obsolete messages patch

* Mon Aug 26 2013 Jakub Bogusz <qboosh@pld-linux.org> 8942070
- updated to 0.9.29
- updated messages patch

* Fri Jul 19 2013 Jakub Bogusz <qboosh@pld-linux.org> e72faf0
- updated to 0.9.28
- added messages patch (fixes build with messages disabled)
- added link patch (fixes libmicrospdy linking)

* Sun Jun 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 683d720
- updated to 0.9.27
- removed obsolete am,missing patches

* Sun Mar 31 2013 Jakub Bogusz <qboosh@pld-linux.org> 8c06adc
- updated to 0.9.26
- updated missing patch (some parts obsolete)

* Sat Feb 16 2013 Jakub Bogusz <qboosh@pld-linux.org> 1a9b2c2
- updated to 0.9.25

